Bug 478876 - Move the deletion of expired cookie tokens to a cron script instead of doing it each time a user logs in
Move the deletion of expired cookie tokens to a cron script instead of doing ...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Database (Show other bugs)
3.2
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 14:42 EST by David Lawrence
Modified: 2013-06-24 00:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 11:41:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for moving cookie expiration to nightly cron script (v1) (2.26 KB, patch)
2009-01-05 14:48 EST, David Lawrence
nelhawar: review+
Details | Diff

  None (edit)
Description David Lawrence 2009-01-05 14:42:02 EST
Description of problem:
In 3.2, Bugzilla::Auth has code that performs a DELETE of old tokens from logincookies that are older than 30 days. This causes unnecessary database 
calls that could be done less frequently by a cron script. Attaching patch
that ports bz-expire-cookies.pl from RH 2.18 to 3.2 that does this.
Comment 1 David Lawrence 2009-01-05 14:48:18 EST
Created attachment 328223 [details]
Patch for moving cookie expiration to nightly cron script (v1)

Patch attached that moves the DELETE from Bugzilla::Auth to an external script that can be called nightly instead of being called for every Bugzilla->login.
config/bz-expire-cookies.cron is already part of the bz 3.2 cvs tree so is not part of the patch.

Please review

Dave
Comment 2 Kevin Baker 2009-01-05 15:15:08 EST
Comment on attachment 328223 [details]
Patch for moving cookie expiration to nightly cron script (v1)

patch looks good to me. 

Did we have trouble getting upstream to accept this before?
Comment 3 Noura El hawary 2009-01-05 23:10:18 EST
Comment on attachment 328223 [details]
Patch for moving cookie expiration to nightly cron script (v1)

hey Looks good to me Dave, and i see there is already a cron file for it under config/, tested it and works nicely.

Noura
Comment 4 David Lawrence 2009-01-05 23:19:36 EST
(In reply to comment #2)
> (From update of attachment 328223 [details])
> patch looks good to me. 
> 
> Did we have trouble getting upstream to accept this before?

https://bugzilla.mozilla.org/show_bug.cgi?id=134022

Note You need to log in before you can comment on or make changes to this bug.